Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  trait Trees extends reflect.internal.Trees
  Definition Classes
    ast
- Alternative
- Alternative
- AlternativeApi
- AlternativeExtractor
- Annotated
- Annotated
- AnnotatedApi
- AnnotatedExtractor
- AppliedTypeTree
- AppliedTypeTree
- AppliedTypeTreeApi
- AppliedTypeTreeExtractor
- Apply
- Apply
- ApplyApi
- ApplyDynamic
- ApplyExtractor
- ApplyImplicitView
- ApplyToImplicitArgs
- ArrayValue
- Assign
- Assign
- AssignApi
- AssignExtractor
- AssignOrNamedArg
- AssignOrNamedArg
- AssignOrNamedArgApi
- AssignOrNamedArgExtractor
- Bind
- Bind
- BindApi
- BindExtractor
- Block
- Block
- BlockApi
- BlockExtractor
- CannotHaveAttrs
- CaseDef
- CaseDef
- CaseDefApi
- CaseDefExtractor
- ChangeOwnerTraverser
- ClassDef
- ClassDef
- ClassDefApi
- ClassDefExtractor
- CollectTreeTraverser
- CompoundTypeTree
- CompoundTypeTree
- CompoundTypeTreeApi
- CompoundTypeTreeExtractor
- DefDef
- DefDef
- DefDefApi
- DefDefExtractor
- DefTree
- DefTreeApi
- DocDef
- EmptyTree
- ExistentialTypeTree
- ExistentialTypeTree
- ExistentialTypeTreeApi
- ExistentialTypeTreeExtractor
- FilterTreeTraverser
- FindTreeTraverser
- ForeachPartialTreeTraverser
- ForeachTreeTraverser
- Function
- Function
- FunctionApi
- FunctionExtractor
- GenericApply
- GenericApplyApi
- Ident
- Ident
- IdentApi
- IdentExtractor
- If
- If
- IfApi
- IfExtractor
- ImplDef
- ImplDefApi
- Import
- Import
- ImportApi
- ImportExtractor
- ImportSelector
- ImportSelector
- ImportSelectorApi
- ImportSelectorExtractor
- InjectDerivedValue
- InternalTreeCopierOps
- LabelDef
- LabelDef
- LabelDefApi
- LabelDefExtractor
- LazyTreeCopier
- Literal
- Literal
- LiteralApi
- LiteralExtractor
- Match
- Match
- MatchApi
- MatchExtractor
- MemberDef
- MemberDefApi
- Modifiers
- Modifiers
- ModifiersApi
- ModifiersExtractor
- ModuleDef
- ModuleDef
- ModuleDefApi
- ModuleDefExtractor
- NameTree
- NameTreeApi
- New
- New
- NewApi
- NewExtractor
- PackageDef
- PackageDef
- PackageDefApi
- PackageDefExtractor
- Parens
- PostfixSelect
- RefTree
- RefTree
- RefTreeApi
- RefTreeExtractor
- ReferenceToBoxed
- ReferenceToBoxed
- Return
- Return
- ReturnApi
- ReturnExtractor
- Select
- Select
- SelectApi
- SelectExtractor
- SelectFromArray
- SelectFromTypeTree
- SelectFromTypeTree
- SelectFromTypeTreeApi
- SelectFromTypeTreeExtractor
- SingletonTypeTree
- SingletonTypeTree
- SingletonTypeTreeApi
- SingletonTypeTreeExtractor
- Star
- Star
- StarApi
- StarExtractor
- StrictTreeCopier
- Super
- Super
- SuperApi
- SuperExtractor
- SymTree
- SymTreeApi
- Template
- Template
- TemplateApi
- TemplateExtractor
- TermTree
- TermTreeApi
- This
- This
- ThisApi
- ThisExtractor
- ThisSubstituter
- Throw
- Throw
- ThrowApi
- ThrowExtractor
- Transformer
- Traverser
- Tree
- TreeApi
- TreeContextApiImpl
- TreeCopier
- TreeCopierOps
- TreeReplacer
- TreeStackTraverser
- TreeSubstituter
- TreeSymSubstTraverser
- TreeSymSubstituter
- TreeTypeSubstituter
- Try
- Try
- TryApi
- TryExtractor
- TypTree
- TypTreeApi
- TypeApply
- TypeApply
- TypeApplyApi
- TypeApplyExtractor
- TypeBoundsTree
- TypeBoundsTree
- TypeBoundsTreeApi
- TypeBoundsTreeExtractor
- TypeDef
- TypeDef
- TypeDefApi
- TypeDefExtractor
- TypeMapTreeSubstituter
- TypeTree
- TypeTree
- TypeTreeApi
- TypeTreeExtractor
- TypeTreeWithDeferredRefCheck
- Typed
- Typed
- TypedApi
- TypedExtractor
- UnApply
- UnApply
- UnApplyApi
- UnApplyExtractor
- UnderConstructionTransformer
- ValDef
- ValDef
- ValDefApi
- ValDefExtractor
- ValOrDefDef
- ValOrDefDef
- ValOrDefDefApi
- noSelfType
- noopTransformer
- pendingSuperCall
- resetPos
- treeInfo

c

scala.tools.nsc.ast.Trees

# DocDef 

###

#### case class DocDef(comment: Global.DocComment, definition: Global.Tree) extends Global.Tree with Product with Serializable

Documented definition, eliminated by analyzer

Source
  Trees.scala

Linear Supertypes
Serializable, java.io.Serializable, Global.Tree, Global.Attachable, Global.TreeContextApiImpl, Global.TreeApi, Product, Equals, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DocDef
2. Serializable
3. Serializable
4. Tree
5. Attachable
6. TreeContextApiImpl
7. TreeApi
8. Product
9. Equals
10. AnyRef
11. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DocDef(comment: Global.DocComment, definition: Global.Tree)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Global.DocDef to any2stringadd[Global.DocDef] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Global.DocDef, B)
   Implicit
     This member is added by an implicit conversion from Global.DocDef to ArrowAssoc[Global.DocDef] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def attachments: Attachments { type Pos = Trees.this.Position }
   Definition Classes
     Attachable
8.  def canHaveAttrs: Boolean
   Definition Classes
     Tree → TreeApi
9.  def changeOwner(pairs: (Global.Symbol, Global.Symbol)*): Global.Tree
   Definition Classes
     TreeContextApiImpl
10.  def children: List[Global.Tree]
    Definition Classes
      TreeContextApiImpl → TreeApi
11.  def clearType(): DocDef.this.type
    Definition Classes
      Tree
12.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
13.  def collect[T](pf: PartialFunction[Global.Tree, T]): List[T]
    Definition Classes
      TreeContextApiImpl → TreeApi
14.  val comment: Global.DocComment
15.  def correspondsStructure(that: Global.Tree)(f: (Global.Tree, Global.Tree) ⇒ Boolean): Boolean
    Definition Classes
      TreeContextApiImpl
16.  def defineType(tp: Global.Type): DocDef.this.type
    Definition Classes
      Tree
17.  val definition: Global.Tree
18.  def duplicate: DocDef.this.type
    Definition Classes
      Tree → TreeApi
19.  def ensuring(cond: (Global.DocDef) ⇒ Boolean, msg: ⇒ Any): Global.DocDef
    Implicit
      This member is added by an implicit conversion from Global.DocDef to Ensuring[Global.DocDef] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  def ensuring(cond: (Global.DocDef) ⇒ Boolean): Global.DocDef
    Implicit
      This member is added by an implicit conversion from Global.DocDef to Ensuring[Global.DocDef] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
21.  def ensuring(cond: Boolean, msg: ⇒ Any): Global.DocDef
    Implicit
      This member is added by an implicit conversion from Global.DocDef to Ensuring[Global.DocDef] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
22.  def ensuring(cond: Boolean): Global.DocDef
    Implicit
      This member is added by an implicit conversion from Global.DocDef to Ensuring[Global.DocDef] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
23.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  def equals(that: Any): Boolean
    Definition Classes
      Tree → Equals → AnyRef → Any
25.  def equalsStructure(that: Global.Tree): Boolean
    Definition Classes
      TreeContextApiImpl → TreeApi
26.  def exists(p: (Global.Tree) ⇒ Boolean): Boolean
    Definition Classes
      TreeContextApiImpl → TreeApi
27.  def filter(f: (Global.Tree) ⇒ Boolean): List[Global.Tree]
    Definition Classes
      TreeContextApiImpl → TreeApi
28.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
29.  def find(p: (Global.Tree) ⇒ Boolean): Option[Global.Tree]
    Definition Classes
      TreeContextApiImpl → TreeApi
30.  def forAll(p: (Global.Tree) ⇒ Boolean): Boolean
    Definition Classes
      TreeContextApiImpl → TreeApi
31.  def foreach(f: (Global.Tree) ⇒ Unit): Unit
    Definition Classes
      TreeContextApiImpl → TreeApi
32.  def foreachPartial(pf: PartialFunction[Global.Tree, Global.Tree]): Unit
    Definition Classes
      TreeContextApiImpl
33.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Global.DocDef to StringFormat[Global.DocDef] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
34.  def freeTerms: List[Global.FreeTermSymbol]
    Definition Classes
      TreeContextApiImpl
35.  def freeTypes: List[Global.FreeTypeSymbol]
    Definition Classes
      TreeContextApiImpl
36.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
37.  def hasAttachment[T](implicit arg0: ClassTag[T]): Boolean
    Definition Classes
      Attachable
38.  def hasExistingSymbol: Boolean
    Definition Classes
      TreeContextApiImpl
39.  def hasSymbolField: Boolean
    Definition Classes
      Tree
40.  def hasSymbolWhich(f: (Global.Symbol) ⇒ Boolean): Boolean
    Definition Classes
      TreeContextApiImpl
41.  def hashCode(): Int
    Definition Classes
      Tree → AnyRef → Any
42.  val id: Int
    Definition Classes
      Tree
43.  def isDef: Boolean
    Definition Classes
      DocDef → Tree → TreeApi
44.  def isEmpty: Boolean
    Definition Classes
      Tree → TreeApi
45.  def isErroneous: Boolean
    Definition Classes
      TreeContextApiImpl
46.  def isErrorTyped: Boolean
    Definition Classes
      TreeContextApiImpl
47.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
48.  def isTerm: Boolean
    Definition Classes
      DocDef → Tree → TreeApi
49.  def isType: Boolean
    Definition Classes
      DocDef → Tree → TreeApi
50.  def isTyped: Boolean
    Definition Classes
      TreeContextApiImpl
51.  def modifyType(f: (Global.Type) ⇒ Global.Type): Global.Tree
    Definition Classes
      TreeContextApiImpl
52.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
53.  def nonEmpty: Boolean
    Definition Classes
      Tree → TreeApi
54.  final def notify(): Unit
    Definition Classes
      AnyRef
55.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
56.  def orElse(alt: ⇒ Global.Tree): Global.Tree
    Definition Classes
      TreeContextApiImpl → TreeApi
57.  final def pos: Global.Position
    Definition Classes
      Tree → Attachable → TreeApi
58.  def pos_=(pos: Global.Position): Unit
    Definition Classes
      Attachable
59.  val rawatt: Attachments { type Pos = Trees.this.Position }
    Attributes
      protected
    Definition Classes
      Attachable
60.  def removeAttachment[T](implicit arg0: ClassTag[T]): DocDef.this.type
    Definition Classes
      Attachable
61.  def setAttachments(attachments: Attachments { type Pos = Trees.this.Position }): DocDef.this.type
    Definition Classes
      Attachable
62.  def setPos(newpos: Global.Position): DocDef.this.type
    Definition Classes
      Attachable
63.  def setSymbol(sym: Global.Symbol): DocDef.this.type
    Definition Classes
      Tree
64.  def setType(tp: Global.Type): DocDef.this.type
    Definition Classes
      Tree
65.  def shallowDuplicate: Global.Tree
    Definition Classes
      TreeContextApiImpl
66.  def shortClass: String
    Definition Classes
      TreeContextApiImpl
67.  def substituteSymbols(from: List[Global.Symbol], to: List[Global.Symbol]): Global.Tree
    Definition Classes
      TreeContextApiImpl
68.  def substituteThis(clazz: Global.Symbol, to: ⇒ Global.Tree): Global.Tree
    Definition Classes
      TreeContextApiImpl
69.  def substituteTypes(from: List[Global.Symbol], to: List[Global.Type]): Global.Tree
    Definition Classes
      TreeContextApiImpl
70.  def summaryString: String
    Definition Classes
      TreeContextApiImpl
71.  def symbol: Global.Symbol
    Definition Classes
      DocDef → Tree → TreeApi
72.  def symbol_=(sym: Global.Symbol): Unit
    Definition Classes
      DocDef → Tree
73.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
74.  def toString(): String
    Definition Classes
      TreeApi → AnyRef → Any
75.  final def tpe: Global.Type
    Definition Classes
      Tree → TreeApi
76.  def updateAttachment[T](attachment: T)(implicit arg0: ClassTag[T]): DocDef.this.type
    Definition Classes
      Attachable
77.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
78.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
79.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
80.  def withFilter(f: (Global.Tree) ⇒ Boolean): List[Global.Tree]
    Definition Classes
      TreeContextApiImpl → TreeApi
81.  def →[B](y: B): (Global.DocDef, B)
    Implicit
      This member is added by an implicit conversion from Global.DocDef to ArrowAssoc[Global.DocDef] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1.  def hasSymbol: Boolean
   Definition Classes
     Tree
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) use hasSymbolField

2.  def tpe_=(t: Global.Type): Unit
   Definition Classes
     Tree
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) use setType

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Global.Tree

### Inherited from Global.Attachable

### Inherited from Global.TreeContextApiImpl

### Inherited from Global.TreeApi

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.DocDef to any2stringadd[Global.DocDef]

### Inherited by implicit conversion StringFormat from Global.DocDef to StringFormat[Global.DocDef]

### Inherited by implicit conversion Ensuring from Global.DocDef to Ensuring[Global.DocDef]

### Inherited by implicit conversion ArrowAssoc from Global.DocDef to ArrowAssoc[Global.DocDef]

### Ungrouped